/*  
 *    SCCS ID: %Z%%M% %I% %E% SST
 *
 *    Copyright (c) 1992-1993 Mark Soloway.  All rights reserved.
 *    See SST_LEGAL_NOTICE file for terms of the license. 
 */  
  
#ifndef _TREE_MANAGER_GET_ROOT_MESSAGE_H
#define _TREE_MANAGER_GET_ROOT_MESSAGE_H

#include "TreeManager_consts.h"
#include "TTMessage.h"

class TreeManagerGetRootMessage : public TTMessage {
public:
  TreeManagerGetRootMessage (Tt_status &status) :
    TTMessage (TREE_MANAGER_OP_GET_ROOT,
	       TT_REQUEST,
	       TT_FILE,
	       status)
    {
      if (status == TT_OK) {
        status = addArg (TT_OUT, "objid", (const char *)NULL);
      }
    }

  ~TreeManagerGetRootMessage () {}

  char *getRootID (Tt_status &status)
    {
      char *root_id;
      status = getArgValue (0, root_id);
      return root_id;
    }
};

#endif
