/*  
 *    SCCS ID: %Z%%M% %I% %E% SST
 *
 *    Copyright (c) 1992-1993 Mark Soloway.  All rights reserved.
 *    See SST_LEGAL_NOTICE file for terms of the license. 
 */  
  
#ifndef _TREE_NODE_SERVER
#define _TREE_NODE_SERVER

#include "TTObjectSpec.h"

class TTMessage;
class TTSession;

class TreeNode_server : public TTObjectSpec {
public:
  TreeNode_server (const char *objid,
		   TTMessage  *message,
		   Tt_status  &status) :
    TTObjectSpec (objid, status)
    {
      status = processTreeNodeMessage (message);
    }

  ~TreeNode_server () {}

private:
  Tt_status processTreeNodeMessage (TTMessage *);
  Tt_status addChild (TTMessage *);
  Tt_status deleteNode (TTMessage *);
  Tt_status deleteChildren (const TTObjectSpec&);
};

#endif
